Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.audit.service
Class TaskJPAAuditService

    java.lang.Object
      org.jbpm.process.audit.JPAAuditLogService
          org.jbpm.services.task.audit.service.TaskJPAAuditService

All Implemented Interfaces:
  AuditLogService, AuditService

Direct Known Subclasses:
  ExecutorJPAAuditService

    public class TaskJPAAuditService

extends JPAAuditLogService

Field Summary

Fields inherited from class org.jbpm.process.audit.JPAAuditLogService
`criteriaFieldClasses, criteriaFields, NODE_INSTANCE_LOG_DELETE, NODE_INSTANCE_LOG_QUERY, persistenceStrategy, PROCESS_INSTANCE_LOG_DELETE, PROCESS_INSTANCE_LOG_QUERY, VARIABLE_INSTANCE_LOG_DELETE, VARIABLE_INSTANCE_LOG_QUERY`

Constructor Summary
`TaskJPAAuditService()`
`TaskJPAAuditService(javax.persistence.EntityManagerFactory emf)`

Method Summary
`org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder` | `auditTaskInstanceLogDelete()`
`org.kie.internal.runtime.manager.audit.query.TaskEventInstanceLogDeleteBuilder` | `taskEventInstanceLogDelete()`

Methods inherited from class org.jbpm.process.audit.JPAAuditLogService
`addCriteria, addVarValCriteria, checkVarValCriteria, clear, convertListToInterfaceList, dispose, doDelete, doDelete, doQuery, findActiveProcessInstances, findActiveProcessInstances, findNodeInstances, findNodeInstances, findProcessInstance, findProcessInstances, findProcessInstances, findSubProcessInstances, findVariableInstances, findVariableInstances, findVariableInstancesByName, findVariableInstancesByNameAndValue, getPersistenceUnitName, nodeInstanceLogDelete, nodeInstanceLogQuery, processInstanceLogDelete, processInstanceLogQuery, queryNodeInstanceLogs, queryProcessInstanceLogs, queryVariableInstanceLogs, setPersistenceUnitName, variableInstanceLogDelete, variableInstanceLogQuery`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskJPAAuditService

    public TaskJPAAuditService()

### TaskJPAAuditService

    public TaskJPAAuditService(javax.persistence.EntityManagerFactory emf)

Method Detail

### auditTaskInstanceLogDelete

    public org.kie.internal.runtime.manager.audit.query.AuditTaskInstanceLogDeleteBuilder auditTaskInstanceLogDelete()

### taskEventInstanceLogDelete

    public org.kie.internal.runtime.manager.audit.query.TaskEventInstanceLogDeleteBuilder taskEventInstanceLogDelete()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.